<?php
/**
 * 404 page file
 *
 * @package    WordPress
 * @subpackage Alquran
 * @author     Template Path <admin@template_path.com>
 * @version    1.0
 */



?>
<?php get_header();
$data = \ALQURAN\Includes\Classes\Common::instance()->data( '404' )->get();
$options = alquran_WSH()->option();
$allowed_html = wp_kses_allowed_html( 'post' );

if ( class_exists( '\Elementor\Plugin' ) AND $data->get( 'tpl-type' ) == 'e' AND $data->get( 'tpl-elementor' ) ) {
	echo Elementor\Plugin::instance()->frontend->get_builder_content_for_display( $data->get( 'tpl-elementor' ) );
} else {
?>

<?php if ( $data->get( 'enable_banner' ) ) : ?>
	<?php do_action( 'alquran_banner', $data );?>
<?php else:?>

<!-- Page Title -->
<section class="page-title" <?php if( $data->get( 'banner' ) ){?> style="background-image:url('<?php echo esc_url( $data->get( 'banner' ) ); ?>')"<?php };?>>
    <div class="auto-container">
        <h2><?php if( $data->get( 'title' ) ) echo wp_kses( $data->get( 'title' ), true ); else( the_title( ) ); ?></h2>
        <ul class="bread-crumb clearfix">
            <?php echo alquran_the_breadcrumb(); ?>
        </ul>
    </div>
</section>
<!-- End Page Title -->

<?php endif;?>    
    
    <!-- Error One -->
	<section class="error-one" style="background-image:url(<?php echo esc_url(get_template_directory_uri()); ?>/assets/images/icons/stars.png)">
		<div class="error-one_icon" style="background-image:url(<?php echo esc_url(get_template_directory_uri()); ?>/assets/images/icons/moon.png)"></div>
		<div class="auto-container">
			<h1>
            	<?php 
                    if( $options->get( '404_page_title' ) ){
                        echo wp_kses( $options->get( '404_page_title' ), true );
                    }else{
                        esc_html_e( '404', 'alquran' );
                    }
                ?>
            </h1>
			<h3>
            	<?php 
                    if( $options->get( '404_page_subtitle' ) ){
                        echo wp_kses( $options->get( '404_page_subtitle' ), true );
                    }else{
                        esc_html_e( 'Opps! You’r On The Wrong Place.', 'alquran' );
                    }
                ?>
            </h3>
			<div class="error-one_text">
            	<?php if( $options->get( '404_page_text' ) ):?>
					<?php echo wp_kses( $options->get( '404_page_text' ), true );?>
                <?php else:?>
                    <?php esc_html_e( 'We Can’t Seem to Find the Page You are Looking for', 'alquran' );?>
                <?php endif;?>
            </div>
            <?php if (! $options->get('back_home_btn') ) { ?>
			<!-- Button Box -->
			<div class="error-one_button">
				<a href="<?php echo esc_url( home_url( '/' ) ); ?>" class="theme-btn btn-style-four">
					<span class="btn-wrap">
						<span class="text-one">
							<?php 
                                if( $options->get( 'back_home_btn_label' ) ){
                                    echo wp_kses( $options->get( 'back_home_btn_label' ), true );
                                }else{
                                    esc_html_e( 'back to home', 'alquran' );
                                }
                            ?>
                        </span>
						<span class="text-two">
                        	<?php 
                                if( $options->get( 'back_home_btn_label' ) ){
                                    echo wp_kses( $options->get( 'back_home_btn_label' ), true );
                                }else{
                                    esc_html_e( 'back to home', 'alquran' );
                                }
                            ?>
                        </span>
					</span>
				</a>
			</div>
            <?php } ?>
		</div>
	</section>
	<!-- End Error One -->
    
        
<?php
}
get_footer(''); ?>
