<?php
defined( 'ABSPATH' ) || exit;
use Etn\Utils\Helper as helper;
$data  = \ALQURAN\Includes\Classes\Common::instance()->data( 'archive' )->get();
if (is_category()) {
    $title = single_cat_title('', false);
} elseif (is_tag()) {
    $title = single_tag_title('', false);
} elseif (is_author()) {
    $title = get_the_author_meta('display_name', get_queried_object_id());
} elseif (is_day()) {
    $title = get_the_date();
} elseif (is_month()) {
    $title = get_the_date('F Y');
} elseif (is_year()) {
    $title = get_the_date('Y');
} else {
    $title = __('Archives', 'alquran');
}

?>

<?php if ( $data->get( 'enable_banner' ) ) : ?>
	<?php do_action( 'alquran_banner', $data );?>
<?php else:?>

<!-- Page Title -->
<section class="page-title" style="background-image:url('<?php echo esc_url( $data->get( 'banner' ) ); ?>')">
    <div class="auto-container">
        <h2><?php if ($data->get('title')) { echo wp_kses($data->get('title'), true); } else { echo esc_html($title); } ?></h2>
        <ul class="bread-crumb clearfix">
            <?php echo alquran_the_breadcrumb(); ?>
        </ul>
    </div>
</section>
<!-- End Page Title -->

<?php endif;?>

<?php do_action( 'etn_before_event_archive_container' ); ?>

<section class="events-one">

    <div class="etn-advanced-search-form te-advance__search">
        <div class="auto-container">
            <?php helper::get_event_search_form(); ?>
        </div>
    </div>
    
    
    <div class="etn-event-archive-wrap etn_search_item_container te-archive__page" data-json='<?php echo json_encode([
            "error_content" => [
                "title" => esc_html__('Nothing found!', 'alquran'),
                "exerpt" => esc_html__('It looks like nothing was found here. Maybe try a search?','alquran')
            ]
        ]); ?>'>
        <div class="auto-container">
            <div class="etn-row etn-event-wrapper">
    
                <?php do_action( 'etn_before_event_archive_item' ); ?>
    
                <?php
                if (have_posts()) {
    
                    while (have_posts()) {
                        the_post();
						$etn_start_date   = get_post_meta( get_the_ID(), 'etn_start_date', true );
						$etn_end_date   = get_post_meta( get_the_ID(), 'etn_end_date', true );
						$etn_start_time   = get_post_meta( get_the_ID(), 'etn_start_time', true );
						$etn_end_time   = get_post_meta( get_the_ID(), 'etn_end_time', true );
						
						$etn_event_location = get_post_meta( get_the_ID(), 'etn_event_location', true );
						
						$variation_price    = [];
						$etn_ticket_variations    = get_post_meta( get_the_ID(), "etn_ticket_variations", true ); 
						if(!empty($etn_ticket_variations) && is_array($etn_ticket_variations)){
								foreach($etn_ticket_variations as $index => $price){
										$variation_price[$index] =  $price['etn_ticket_price'];
								}
								$min_price = min($variation_price);
								$max_price = max($variation_price);
						}
						
                        ?>
                        <div class="etn-col-md-6 etn-col-lg-<?php echo esc_attr( apply_filters( 'etn_event_archive_column', '4' ) ); ?> event-block_one">
    
                            <div class="event-block_one-inner">
    
                                <!-- thumbnail -->
                                <?php if( has_post_thumbnail() ){?>
                                
                                <div class="event-block_one-image">
                                
                                    <a href="<?php the_permalink(); ?>" aria-label="<?php the_title(); ?>">
                                        <?php the_post_thumbnail(); ?>
                                    </a>
                            
                                </div>
								<?php }?>
                                
                                <div class="event-block_one-content">
                                    <div class="event-block_one-time"><?php echo wp_kses( $etn_start_time, true ) ; ?> - <?php echo wp_kses( $etn_end_time, true ) ; ?></div>
                                    
                                    <?php  if (isset($etn_event_location) && $etn_event_location != '') { ?>
                                        <div class="event-block_one-location">
                                            <i class="fa-solid fa-location-dot fa-fw"></i>
                                            <?php
                                                echo esc_html($etn_event_location); 
                                            ?>
                                        </div>
                                    <?php } ?>
                                    
                                    <h5 class="event-block_one-heading"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h5>
                                    <div class="event-block_one-price d-flex justify-content-between align-items-center flex-wrap">
                                        <?php esc_html_e( 'Upcoming Event Price', 'alquran' );?> 
                                        <?php if (!empty($variation_price[0]) && !empty($variation_price) && class_exists('woocommerce')){  ?>
                                            <span>
                                                <?php
                                                        $currency = get_woocommerce_currency_symbol();
                                                        if($min_price === $max_price){
                                                                $price =  $currency . $min_price;
                                                        }else {
                                                                $price =  $currency . $min_price ."-". $currency . $max_price;
                                                        } 
                                                ?>
                                                <?php echo esc_html($price); ?>
                                            </span>
                                        <?php } ?>
                                    </div>
                                </div>
    
                            </div>
                            <!-- etn event item end-->
                        </div>
                    <?php
                    }
                } else {
                    ?>
                        <p><?php echo esc_html__('No Event found!', 'alquran'); ?></p>
                    <?php
                }
                ?>
    
                <?php do_action( 'etn_after_event_archive_item' ); ?>
    
            </div>
    
            <?php do_action('etn_event_archive_pagination');?>
    
        </div>
    </div>
</section>
<?php do_action( 'etn_after_event_archive_container' ); ?>