<?php
/**
 * The Template for displaying single event
 *
 * @see         
 * @package     Eventin\Templates
 * @version     2.3.2
 */

use Etn\Utils\Helper;

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

Helper::etn_template_include();
$data  = \ALQURAN\Includes\Classes\Common::instance()->data( 'single' )->get();
?>

	<?php if ( $data->get( 'enable_banner' ) ) : ?>
		<?php do_action( 'alquran_banner', $data );?>
    <?php else:?>
    
    <!-- Page Title -->
    <section class="page-title" <?php if( $data->get( 'banner' ) ){?>style="background-image:url('<?php echo esc_url( $data->get( 'banner' ) ); ?>')"<?php };?>>
        <div class="auto-container">
            <h2><?php if ($data->get('title')) { echo wp_kses($data->get('title'), true); } else { the_title(); } ?></h2>
            <ul class="bread-crumb clearfix">
                <?php echo alquran_the_breadcrumb(); ?>
            </ul>
        </div>
    </section>
    <!-- End Page Title -->
    <?php endif;?>

	<?php
		/**
		 * etn_event_content_before hook.
		 */
        do_action( "etn_event_content_before" );

        // it is for testing purpose , will remove after finish work

    ?>
    
    <?php while ( have_posts() ) : ?>
        
        <?php
        //show woocommerce notice
        if ( class_exists( 'WooCommerce' ) ) {
            wc_print_notices();
        }

        ?>
        
        <?php do_action( "etn_single_event_template", the_post() ); ?>

    <?php endwhile; // end of the loop. ?>

    <?php
		/**
		 * etn_event_content_after hook.
		 */
        do_action( "etn_event_content_after" );

    ?>

<?php
/* Omit closing PHP tag at the end of PHP files to avoid "headers already sent" issues. */