<?php
return array(
	'title'      => esc_html__( 'Header Setting', 'alquran' ),
	'id'         => 'headers_setting',
	'desc'       => '',
	'subsection' => false,
	'fields'     => array(
		array(
			'id'      => 'header_source_type',
			'type'    => 'button_set',
			'title'   => esc_html__( 'Header Source Type', 'alquran' ),
			'options' => array(
				'd' => esc_html__( 'Default', 'alquran' ),
				'e' => esc_html__( 'Elementor', 'alquran' ),
			),
			'default' => 'd',
		),
		array(
			'id'       => 'header_elementor_template',
			'type'     => 'select',
			'title'    => __( 'Template', 'alquran' ),
			'data'     => 'posts',
			'args'     => [
				'post_type' => [ 'elementor_library' ],
				'posts_per_page'	=> -1
			],
			'required' => [ 'header_source_type', '=', 'e' ],
		),
		array(
			'id'       => 'header_style_section_start',
			'type'     => 'section',
			'indent'      => true,
			'title'    => esc_html__( 'Header Settings', 'alquran' ),
			'required' => array( 'header_source_type', '=', 'd' ),
		),

		//Header Settings
		array(
		    'id'       => 'header_style_settings',
		    'type'     => 'image_select',
		    'title'    => esc_html__( 'Choose Header Styles', 'alquran' ),
		    'subtitle' => esc_html__( 'Choose Header Styles', 'alquran' ),
		    'options'  => array(

			    'header_v1'  => array(
				    'alt' => esc_html__( 'Header Style 1', 'alquran' ),
				    'img' => get_template_directory_uri() . '/assets/images/redux/header/header_v1.png',
			    ),
			    'header_v2'  => array(
				    'alt' => esc_html__( 'Header Style 2', 'alquran' ),
				    'img' => get_template_directory_uri() . '/assets/images/redux/header/header_v2.png',
			    ),
				'header_v3'  => array(
				    'alt' => esc_html__( 'Header Style 3', 'alquran' ),
				    'img' => get_template_directory_uri() . '/assets/images/redux/header/header_v3.png',
			    ),
				'header_v4'  => array(
				    'alt' => esc_html__( 'Header Style 4', 'alquran' ),
				    'img' => get_template_directory_uri() . '/assets/images/redux/header/header_v4.png',
			    ),
			),
			'required' => array( 'header_source_type', '=', 'd' ),
			'default' => 'header_v1',
	    ),
		array(
            'id' => 'show_dark_layout',
            'type' => 'switch',
            'title' => esc_html__('Enable Dark Layout', 'alquran'),
            'default' => false,
            'required' => array( 'header_source_type', '=', 'd' ),
        ),

		/***********************************************************************
								Header Version 1 Start
		************************************************************************/
		array(
			'id'       => 'header_v1_settings_section_start',
			'type'     => 'section',
			'indent'      => true,
			'title'    => esc_html__( 'Header Style One Settings', 'alquran' ),
			'required' => array( 'header_style_settings', '=', 'header_v1' ),
		),
		//Header Topbar
		array(
            'id' => 'show_topbar_v1',
            'type' => 'switch',
            'title' => esc_html__('Enable/Disable Header Topbar', 'alquran'),
            'default' => false,
            'required' => array( 'header_style_settings', '=', 'header_v1' ),
        ),
		array(
			'id'      => 'emil_v1',
			'type'    => 'text',
			'title'   => __( 'Email Address', 'alquran' ),
			'required' => array( 'show_topbar_v1', '=', true ),
		),
		array(
			'id'      => 'address_v1',
			'type'    => 'textarea',
			'title'   => __( 'Address', 'alquran' ),
			'required' => array( 'show_topbar_v1', '=', true ),
		),	
		array(
			'id'      => 'sunrise_time_v1',
			'type'    => 'text',
			'title'   => __( 'Sun Rise Time', 'alquran' ),
			'required' => array( 'show_topbar_v1', '=', true ),
		),
		array(
			'id'      => 'sunset_time_v1',
			'type'    => 'text',
			'title'   => __( 'Sun Set Time', 'alquran' ),
			'required' => array( 'show_topbar_v1', '=', true ),
		),
		array(
			'id'      => 'phone_v1',
			'type'    => 'text',
			'title'   => __( 'Phone Number', 'alquran' ),
			'required' => array( 'show_topbar_v1', '=', true ),
		),	
		//Search Icon
		array(
            'id' => 'show_seach_form_v1',
            'type' => 'switch',
            'title' => esc_html__('Enable/Disable Search Icon', 'alquran'),
            'default' => false,
            'required' => array( 'header_style_settings', '=', 'header_v1' ),
        ),
		//Register Icon
		array(
            'id' => 'show_register_icon_v1',
            'type' => 'switch',
            'title' => esc_html__('Enable/Disable Register Icon', 'alquran'),
            'default' => false,
            'required' => array( 'header_style_settings', '=', 'header_v1' ),
        ),
		array(
			'id'      => 'register_link_v1',
			'type'    => 'text',
			'title'   => __( 'Register Link', 'alquran' ),
			'required' => array( 'show_register_icon_v1', '=', true ),
		),
		//Button
		array(
            'id' => 'show_button_v1',
            'type' => 'switch',
            'title' => esc_html__('Enable/Disable Button', 'alquran'),
            'default' => false,
           'required' => array( 'header_style_settings', '=', 'header_v1' ),
        ),
        array(
			'id'      => 'btn_title_v11',
			'type'    => 'text',
			'title'   => __( 'Button Title', 'alquran' ),
			'required' => array( 'show_button_v1', '=', true ),
		),
        array(
			'id'      => 'btn_link_v11',
			'type'    => 'text',
			'title'   => __( 'Button Link', 'alquran' ),
			'required' => array( 'show_button_v1', '=', true ),
		),
		/***********************************************************************
								Header Version 2 Start
		************************************************************************/
		array(
			'id'       => 'header_v2_settings_section_start',
			'type'     => 'section',
			'indent'      => true,
			'title'    => esc_html__( 'Header Style Two Settings', 'alquran' ),
			'required' => array( 'header_style_settings', '=', 'header_v2' ),
		),
		//Header Topbar
		array(
            'id' => 'show_topbar_v2',
            'type' => 'switch',
            'title' => esc_html__('Enable/Disable Header Topbar', 'alquran'),
            'default' => false,
            'required' => array( 'header_style_settings', '=', 'header_v2' ),
        ),
		array(
			'id'      => 'emil_v2',
			'type'    => 'text',
			'title'   => __( 'Email Address', 'alquran' ),
			'required' => array( 'show_topbar_v2', '=', true ),
		),
		array(
			'id'      => 'address_v2',
			'type'    => 'textarea',
			'title'   => __( 'Address', 'alquran' ),
			'required' => array( 'show_topbar_v2', '=', true ),
		),	
		array(
			'id'      => 'sunrise_time_v2',
			'type'    => 'text',
			'title'   => __( 'Sun Rise Time', 'alquran' ),
			'required' => array( 'show_topbar_v2', '=', true ),
		),
		array(
			'id'      => 'sunset_time_v2',
			'type'    => 'text',
			'title'   => __( 'Sun Set Time', 'alquran' ),
			'required' => array( 'show_topbar_v2', '=', true ),
		),
		array(
			'id'      => 'phone_v2',
			'type'    => 'text',
			'title'   => __( 'Phone Number', 'alquran' ),
			'required' => array( 'show_topbar_v2', '=', true ),
		),	
		//Search Icon
		array(
            'id' => 'show_seach_form_v2',
            'type' => 'switch',
            'title' => esc_html__('Enable/Disable Search Icon', 'alquran'),
            'default' => false,
            'required' => array( 'header_style_settings', '=', 'header_v2' ),
        ),
		//Register Icon
		array(
            'id' => 'show_register_icon_v2',
            'type' => 'switch',
            'title' => esc_html__('Enable/Disable Register Icon', 'alquran'),
            'default' => false,
            'required' => array( 'header_style_settings', '=', 'header_v2' ),
        ),
		array(
			'id'      => 'register_link_v2',
			'type'    => 'text',
			'title'   => __( 'Register Link', 'alquran' ),
			'required' => array( 'show_register_icon_v2', '=', true ),
		),
		//Button
		array(
            'id' => 'show_button_v2',
            'type' => 'switch',
            'title' => esc_html__('Enable/Disable Button', 'alquran'),
            'default' => false,
           'required' => array( 'header_style_settings', '=', 'header_v2' ),
        ),
        array(
			'id'      => 'btn_title_v2',
			'type'    => 'text',
			'title'   => __( 'Button Title', 'alquran' ),
			'required' => array( 'show_button_v2', '=', true ),
		),
        array(
			'id'      => 'btn_link_v2',
			'type'    => 'text',
			'title'   => __( 'Button Link', 'alquran' ),
			'required' => array( 'show_button_v2', '=', true ),
		),
		/***********************************************************************
								Header Version 3 Start
		************************************************************************/
		array(
			'id'       => 'header_v3_settings_section_start',
			'type'     => 'section',
			'indent'      => true,
			'title'    => esc_html__( 'Header Style Three Settings', 'alquran' ),
			'required' => array( 'header_style_settings', '=', 'header_v3' ),
		),	
		//Search Icon
		array(
            'id' => 'show_seach_form_v3',
            'type' => 'switch',
            'title' => esc_html__('Enable/Disable Search Icon', 'alquran'),
            'default' => false,
            'required' => array( 'header_style_settings', '=', 'header_v3' ),
        ),
		//Register Icon
		array(
            'id' => 'show_register_icon_v3',
            'type' => 'switch',
            'title' => esc_html__('Enable/Disable Register Icon', 'alquran'),
            'default' => false,
            'required' => array( 'header_style_settings', '=', 'header_v3' ),
        ),
		array(
			'id'      => 'register_link_v3',
			'type'    => 'text',
			'title'   => __( 'Register Link', 'alquran' ),
			'required' => array( 'show_register_icon_v3', '=', true ),
		),
		//Button
		array(
            'id' => 'show_button_v3',
            'type' => 'switch',
            'title' => esc_html__('Enable/Disable Button', 'alquran'),
            'default' => false,
           'required' => array( 'header_style_settings', '=', 'header_v3' ),
        ),
        array(
			'id'      => 'btn_title_v3',
			'type'    => 'text',
			'title'   => __( 'Button Title', 'alquran' ),
			'required' => array( 'show_button_v3', '=', true ),
		),
        array(
			'id'      => 'btn_link_v3',
			'type'    => 'text',
			'title'   => __( 'Button Link', 'alquran' ),
			'required' => array( 'show_button_v3', '=', true ),
		),
		
		/***********************************************************************
								Header Version 4 Start
		************************************************************************/
		array(
			'id'       => 'header_v4_settings_section_start',
			'type'     => 'section',
			'indent'      => true,
			'title'    => esc_html__( 'Header Style Four Settings', 'alquran' ),
			'required' => array( 'header_style_settings', '=', 'header_v4' ),
		),
		
		//Search Icon
		array(
            'id' => 'show_seach_form_v4',
            'type' => 'switch',
            'title' => esc_html__('Enable/Disable Search Icon', 'alquran'),
            'default' => false,
            'required' => array( 'header_style_settings', '=', 'header_v4' ),
        ),
		//Register Icon
		array(
            'id' => 'show_register_icon_v4',
            'type' => 'switch',
            'title' => esc_html__('Enable/Disable Register Icon', 'alquran'),
            'default' => false,
            'required' => array( 'header_style_settings', '=', 'header_v4' ),
        ),
		array(
			'id'      => 'register_link_v4',
			'type'    => 'text',
			'title'   => __( 'Register Link', 'alquran' ),
			'required' => array( 'show_register_icon_v4', '=', true ),
		),
		//Button
		array(
            'id' => 'show_button_v4',
            'type' => 'switch',
            'title' => esc_html__('Enable/Disable Button', 'alquran'),
            'default' => false,
           'required' => array( 'header_style_settings', '=', 'header_v4' ),
        ),
        array(
			'id'      => 'btn_title_v4',
			'type'    => 'text',
			'title'   => __( 'Button Title', 'alquran' ),
			'required' => array( 'show_button_v4', '=', true ),
		),
        array(
			'id'      => 'btn_link_v4',
			'type'    => 'text',
			'title'   => __( 'Button Link', 'alquran' ),
			'required' => array( 'show_button_v4', '=', true ),
		),
		
		array(
			'id'       => 'header_style_section_end',
			'type'     => 'section',
			'indent'      => false,
			'required' => [ 'header_source_type', '=', 'd' ],
		),
	),
);
