<?php

return array(
	'title'      => esc_html__( 'Single Post Settings', 'alquran' ),
	'id'         => 'single_post_setting',
	'desc'       => '',
	'subsection' => true,
	'fields'     => array(
		array(
			'id'      => 'single_source_type',
			'type'    => 'button_set',
			'title'   => esc_html__( 'Single Post Source Type', 'alquran' ),
			'options' => array(
				'd' => esc_html__( 'Default', 'alquran' ),
				'e' => esc_html__( 'Elementor', 'alquran' ),
			),
			'default' => 'd',
		),
		
		array(
			'id'       => 'single_default_st',
			'type'     => 'section',
			'title'    => esc_html__( 'Post Default', 'alquran' ),
			'indent'   => true,
			'required' => [ 'single_source_type', '=', 'd' ],
		),
		array(
			'id'      => 'single_post_date',
			'type'    => 'switch',
			'title'   => esc_html__( 'Show Date', 'alquran' ),
			'desc'    => esc_html__( 'Enable to show post publish date on posts detail page', 'alquran' ),
			'default' => true,
		),
		array(
			'id'      => 'single_post_author',
			'type'    => 'switch',
			'title'   => esc_html__( 'Show Author', 'alquran' ),
			'desc'    => esc_html__( 'Enable to show author on posts detail page', 'alquran' ),
			'default' => true,
		),
		array(
			'id'      => 'single_post_comments',
			'type'    => 'switch',
			'title'   => esc_html__( 'Show Comments', 'alquran' ),
			'desc'    => esc_html__( 'Enable to show number of comments on posts single page', 'alquran' ),
			'default' => true,
		),
		//Social Sharing
		array(
			'id'      => 'facebook_sharing',
			'type'    => 'switch',
			'title'   => esc_html__( 'Show Facebook Post Share', 'alquran' ),
			'desc'    => esc_html__( 'Enable to show Post Share to Facebook', 'alquran' ),
			'default' => false,
		),
		array(
			'id'      => 'twitter_sharing',
			'type'    => 'switch',
			'title'   => esc_html__( 'Show Twitter Post Share', 'alquran' ),
			'desc'    => esc_html__( 'Enable to show Post Share to Twitter', 'alquran' ),
			'default' => false,
		),
		array(
			'id'      => 'linkedin_sharing',
			'type'    => 'switch',
			'title'   => esc_html__( 'Show Linkedin Post Share', 'alquran' ),
			'desc'    => esc_html__( 'Enable to show Post Share to Linkedin', 'alquran' ),
			'default' => false,
		),
		array(
			'id'      => 'pinterest_sharing',
			'type'    => 'switch',
			'title'   => esc_html__( 'Show Pinterest Post Share', 'alquran' ),
			'desc'    => esc_html__( 'Enable to show Post Share to Pinterest', 'alquran' ),
			'default' => false,
		),
		array(
			'id'      => 'reddit_sharing',
			'type'    => 'switch',
			'title'   => esc_html__( 'Show Reddit Post Share', 'alquran' ),
			'desc'    => esc_html__( 'Enable to show Post Share to Reddit', 'alquran' ),
			'default' => false,
		),
		array(
			'id'      => 'tumblr_sharing',
			'type'    => 'switch',
			'title'   => esc_html__( 'Show Tumblr Post Share', 'alquran' ),
			'desc'    => esc_html__( 'Enable to show Post Share to Tumblr', 'alquran' ),
			'default' => false,
		),
		array(
			'id'      => 'digg_sharing',
			'type'    => 'switch',
			'title'   => esc_html__( 'Show Digg Post Share', 'alquran' ),
			'desc'    => esc_html__( 'Enable to show Post Share to Digg', 'alquran' ),
			'default' => false,
		),
		array(
			'id'       => 'single_section_default_ed',
			'type'     => 'section',
			'indent'   => false,
			'required' => [ 'single_source_type', '=', 'd' ],
		),
	),
);





