<?php get_header();
$data    = \ALQURAN\Includes\Classes\Common::instance()->data('single-project')->get();
//do_action( 'alquran_banner', $data ); 
?>

<?php while (have_posts()) : the_post();
	$show_project_info = get_post_meta(get_the_id(), 'show_project_info', true);
	$term_list = wp_get_post_terms(get_the_id(), 'project_cat', array("fields" => "names"));
	$info_image = get_post_meta( get_the_id(), 'info_image', true );
?>

<!-- Page Title -->
<section class="page-title" style="background-image:url('<?php echo esc_url( $data->get( 'banner' ) ); ?>')">
    <div class="auto-container">
        <h2><?php if( $data->get( 'title' ) ) echo wp_kses( $data->get( 'title' ), true ); else( the_title( ) ); ?></h2>
        <ul class="bread-crumb clearfix">
            <?php echo alquran_the_breadcrumb(); ?>
        </ul>
    </div>
</section>
<!-- End Page Title -->


<!-- Project Details Start -->
<section class="project-details">
    <div class="container">
        <div class="row">
            <div class="col-xl-8 col-lg-7">
                <div class="project-details__left">
                    <?php if( has_post_thumbnail() ){?>
                    <div class="project-details__img">
                        <?php the_post_thumbnail('alquran_770x400'); ?>
                    </div>
                    <?php } ?>
                    <?php the_content(); ?>
                </div>
            </div>
            <?php if($show_project_info){ ?>
            <div class="col-xl-4 col-lg-5">
                <div class="project-details__sidebar">
                    <div class="project-details__info">
                        <?php if(get_post_meta( get_the_id(), 'project_info_title', true )){ ?>
                        <h3 class="project-details__info-title"><?php echo (get_post_meta( get_the_id(), 'project_info_title', true ));?></h3>
                        <?php } ?>
                        <ul class="project-details__info-list list-unstyled">
                            <?php if(get_post_meta( get_the_id(), 'project_client_title', true ) || get_post_meta( get_the_id(), 'project_client_name', true )){ ?>
                            <li>
                                <div class="project-details__info-left"><p><?php echo (get_post_meta( get_the_id(), 'project_client_title', true ));?></p></div>
                                <div class="project-details__info-right"><span><?php echo (get_post_meta( get_the_id(), 'project_client_name', true ));?></span></div>
                            </li>
                            <?php } ?>                            
							<?php if(get_post_meta( get_the_id(), 'service_title', true ) || get_post_meta( get_the_id(), 'service_name', true )){ ?>
                            <li>
                                <div class="project-details__info-left"><p><?php echo (get_post_meta( get_the_id(), 'service_title', true ));?></p></div>
                                <div class="project-details__info-right"><span><?php echo (get_post_meta( get_the_id(), 'service_name', true ));?></span></div>
                            </li>
                            <?php } ?>
                            <?php if(get_post_meta( get_the_id(), 'project_category_title', true )){ ?>
                            <li>
                                <div class="project-details__info-left"><p><?php echo (get_post_meta( get_the_id(), 'project_category_title', true ));?></p></div>
                                <div class="project-details__info-right"><span><?php echo implode( ', ', (array)$term_list );?></span></div>
                            </li>
                            <?php } ?>
                            <?php if(get_post_meta( get_the_id(), 'project_date_title', true )){ ?>
                            <li>
                                <div class="project-details__info-left"><p><?php echo (get_post_meta( get_the_id(), 'project_date_title', true ));?></p></div>
                                <div class="project-details__info-right"><span><?php echo get_the_date(); ?></span></div>
                            </li>
                            <?php } ?>
                            <?php if(get_post_meta( get_the_id(), 'project_shear_title', true ) || get_post_meta( get_the_id(), 'project_shear_sites', true )){ ?>
                            <li>
                                <div class="project-details__info-left"><p><?php echo (get_post_meta( get_the_id(), 'project_shear_title', true ));?></p></div>
                                <div class="project-details__info-right"><span><?php echo (get_post_meta( get_the_id(), 'project_shear_sites', true ));?></span></div>
                            </li>
                            <?php } ?>
                        </ul>
                    </div>
                </div>
            </div>
            <?php } ?>
        </div>
    </div>
</section>
<!-- Project Details End -->



<?php endwhile; ?>
<?php get_footer(); ?>
