<?php get_header();
$data = \ALQURAN\Includes\Classes\Common::instance()->data('single-team')->get(); ?>

<!-- Page Title -->
<section class="page-title" style="background-image:url('<?php echo esc_url( $data->get( 'banner' ) ); ?>')">
    <div class="auto-container">
        <h2><?php if( $data->get( 'title' ) ) echo wp_kses( $data->get( 'title' ), true ); else( the_title( ) ); ?></h2>
        <ul class="bread-crumb clearfix">
            <?php echo alquran_the_breadcrumb(); ?>
        </ul>
    </div>
</section>
<!-- End Page Title -->

<?php 
     while (have_posts()) : the_post(); 
	$show_choose_info = get_post_meta( get_the_id(), 'show_choose_info', true );
?>


<!-- Scholar Detail -->
<section class="scholar-detail">
    <div class="auto-container">
        <div class="row clearfix">

            <!-- Scholar Detail Image -->
            <div class="scholar-detail_image-column col-lg-6 col-md-6 col-sm-12">
                <?php if(has_post_thumbnail()):?>
                <div class="scholar-detail_image-outer wow fadeInLeft"  data-wow-delay="0ms" data-wow-duration="1000ms">
                    <div class="scholar-detail_image">
                        <?php the_post_thumbnail('alquran_542x612'); ?>
                    </div>
                </div>
                <?php endif; ?>
            </div>

            <!-- Content Column -->
            <div class="scholar-detail_content-column col-lg-6 col-md-6 col-sm-12">
                <div class="scholar-detail_content-outer wow fadeInRight"  data-wow-delay="0ms" data-wow-duration="1000ms">
                    <h3 class="scholar-detail_title"><?php the_title(); ?> <span><?php echo (get_post_meta( get_the_id(), 'designation', true ));?></span></h3>
					<div class="text">
                        <?php the_content();?>                        
                    </div>
                    <div class="d-flex align-items-center flex-wrap">
                        <?php if(get_post_meta( get_the_id(), 'video_link', true ) || get_post_meta( get_the_id(), 'video_title', true )){ ?>
                        <a class="scholar-detail_play lightbox-video" href="<?php echo (get_post_meta( get_the_id(), 'video_link', true ));?>"><i class="fa-solid fa-play fa-fw"></i><span><?php echo (get_post_meta( get_the_id(), 'video_title', true ));?></span></a>
                        <?php } ?>
						<?php
							$icons = get_post_meta(get_the_id(), 'team_social_media_tabs', true); if ($icons) : 
						?>
                        <!-- Social Box -->
                        <div class="scholar-detail_socials">
                            <?php 
								for ( $i=0; $i < count( $icons['select_social_media'] ); $i++ ) {
									$social_icon = ( isset( $icons['select_social_media'][$i] ) && !empty( $icons['select_social_media'][$i] ) ) ? $icons['select_social_media'][$i] : '';
									$social_link = ( isset( $icons['link_social_media'][$i] ) && !empty( $icons['link_social_media'][$i] ) ) ? $icons['link_social_media'][$i] : '';
							?>
							<a target="_blank" href="<?php echo esc_url($social_link); ?>"><i class="fab <?php echo esc_attr(str_replace("fa ", " ", $social_icon)); ?>"></i></a>
							<?php } ?>
                        </div>
                        <?php endif; ?>
                    </div>
                    
                </div>
            </div>

        </div>
    </div>
</section>
<!-- End Scholar One -->

 <?php 
 	$show_choose_info = get_post_meta( get_the_id(), 'show_choose_info', true );
 	if($show_choose_info){
 ?>
 <!-- Institute One -->
<section class="institute-one institute-one__detail">
    <div class="auto-container">
        <?php if(get_post_meta( get_the_id(), 'choose_subtitle', true ) || get_post_meta( get_the_id(), 'choose_title', true )){ ?>
        <!-- Sec Title -->
        <div class="sec-title centered">
            <?php if(get_post_meta( get_the_id(), 'choose_subtitle', true )){ ?><div class="sec-title_title"><?php echo (get_post_meta( get_the_id(), 'choose_subtitle', true ));?></div><?php } ?>
            <?php if(get_post_meta( get_the_id(), 'choose_title', true )){ ?><h2 class="sec-title_heading"><?php echo (get_post_meta( get_the_id(), 'choose_title', true ));?></h2><?php } ?>
        </div>
        <?php } ?>
        <div class="row clearfix">
			<?php 
				$choose_feature_repeater = get_post_meta( get_the_id(), 'choose_feature', true );
				for ( $i=0; $i < count( $choose_feature_repeater['c_icon'] ); $i++ ) {
				$rep_c_icon = ( isset( $choose_feature_repeater['c_icon'][$i] ) && !empty( $choose_feature_repeater['c_icon'][$i] ) ) ? $choose_feature_repeater['c_icon'][$i] : '';
				$rep_c_title = ( isset( $choose_feature_repeater['c_title'][$i] ) && !empty( $choose_feature_repeater['c_title'][$i] ) ) ? $choose_feature_repeater['c_title'][$i] : '';
				$rep_c_txt = ( isset( $choose_feature_repeater['c_txt'][$i] ) && !empty( $choose_feature_repeater['c_txt'][$i] ) ) ? $choose_feature_repeater['c_txt'][$i] : '';
				$rep_c_link = ( isset( $choose_feature_repeater['c_link'][$i] ) && !empty( $choose_feature_repeater['c_link'][$i] ) ) ? $choose_feature_repeater['c_link'][$i] : '';
			?>
            <!-- Institute Block One -->
            <div class="institute-block_one col-xl-3 col-lg-6 col-md-6 col-sm-12">
                <div class="institute-block_one-inner wow fadeInLeft"  data-wow-delay="150ms" data-wow-duration="1000ms">
                    <div class="institute-block_one-bismillah" style="background-image:url(<?php echo esc_url(get_template_directory_uri()); ?>/assets/images/icons/bismillah-5.png)"></div>
                    <div class="institute-block_one-icon  <?php echo esc_attr(str_replace("icon ", " ", $rep_c_icon)); ?>"></div>
                    <h4 class="institute-block_one-heading"><a href="<?php echo esc_url( $rep_c_link, true );?>"><?php echo wp_kses( $rep_c_title, true );?></a></h4>
                    <div class="institute-block_one-text"><?php echo wp_kses( $rep_c_txt, true );?></div>
                </div>
            </div>
			<?php } ?>
        </div>
    </div>
</section>
<!-- End Institute One -->
 
<?php } ?>

<?php endwhile; ?>

<?php get_footer(); ?>