<?php
$options = alquran_WSH()->option();
$allowed_html = wp_kses_allowed_html( 'post' );

//Dark Logo Settings
$dark_logo = $options->get( 'dark_logo' );
$dark_logo_dimension = $options->get( 'dark_logo_dimension' );

//Light Logo Settings
$light_logo = $options->get( 'light_logo' );
$light_logo_dimension = $options->get( 'light_logo_dimension' );


$logo_type = '';
$logo_text = '';
$logo_typography = ''; ?>

	<?php if($options->get('show_seach_form_v4')){ ?>
	<!-- Search Popup -->
	<div class="search-popup">
		<div class="color-layer"></div>
		<button class="close-search"><span class="flaticon-close-1"></span></button>
		<?php get_template_part('searchform1')?>
	</div>
	<!-- End Search Popup -->
	<?php } ?>

	<!-- Main Header / Style Four -->
	<header class="main-header header-style-four">

		<!-- Header Upper -->
		<div class="header-upper">
			<div class="auto-container">
				<div class="inner-container">
					<div class="d-flex justify-content-between align-items-center flex-wrap">

						<div class="logo-box">
							<div class="logo"><?php echo alquran_logo( $logo_type, $light_logo, $light_logo_dimension, $logo_text, $logo_typography ); ?></div>
						</div>

						<div class="nav-outer">
							<!-- Main Menu -->
							<nav class="main-menu navbar-expand-md">
								<div class="navbar-header">
									<!-- Toggle Button -->    	
									<button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
										<span class="icon-bar"></span>
										<span class="icon-bar"></span>
										<span class="icon-bar"></span>
									</button>
								</div>

								<div class="navbar-collapse collapse clearfix" id="navbarSupportedContent">
									<ul class="navigation clearfix">
										<?php wp_nav_menu( array( 'theme_location' => 'main_menu', 'container_id' => 'navbar-collapse-1',
											'container_class'=>'navbar-collapse collapse navbar-right',
											'menu_class'=>'nav navbar-nav',
											'fallback_cb'=>false,
											'items_wrap' => '%3$s',
											'container'=>false,
											'depth'=>'3',
											'walker'=> new Bootstrap_walker()
										)); ?> 
									</ul>
								</div>
							</nav>
						</div>

						<!-- Main Menu End-->
						<div class="outer-box d-flex align-items-center flex-wrap">

							<!-- Search Btn -->
							<?php if($options->get('show_seach_form_v4')){ ?>
							<div class="search-box-btn search-box-outer"><span class="icon fa fa-search"></span></div>
							<?php };?>
							
							<!-- User Box -->
							<?php if( $options->get('show_register_icon_v4') && $options->get('register_link_v4') ){ ?>	
							<a class="user-box theme-btn" href="<?php echo esc_url($options->get('register_link_v4')); ?>">
								<span class="fa-regular fa-user fa-fw"></span>
							</a>
							<?php } ?>

							<?php if( $options->get( 'show_button_v4' )){ ?>
                                <!-- Button Box -->
                                <div class="header_button-box">
                                    <a href="<?php echo esc_url($options->get('btn_link_v4')); ?>" class="theme-btn btn-style-four">
                                        <span class="btn-wrap">
                                            <span class="text-one"><?php echo wp_kses($options->get('btn_title_v4'), true); ?></span>
                                            <span class="text-two"><?php echo wp_kses($options->get('btn_title_v4'), true); ?></span>
                                        </span>
                                    </a>
                                </div>
    						<?php } ?>

							<!-- Mobile Navigation Toggler -->
							<div class="mobile-nav-toggler"><span class="icon flaticon-menu"></span></div>
						</div>

					</div>
				</div>
			</div>
		</div>
		<!--End Header Upper-->

		<!-- Mobile Menu  -->
		<?php get_template_part('templates/header/mobile_settings'); ?>
		<!-- End Mobile Menu -->

	</header>
	<!-- End Main Header -->