<?php
/**
 * Course meta template
 *
 * Meta template contains author avatar & categories
 *
 * @package Tutor\Templates
 * @subpackage CourseLoopPart
 * @author Themeum <support@themeum.com>
 * @link https://themeum.com
 * @since 1.5.8
 */

global $post, $authordata;
$course_id         = $post->ID;
$profile_url       = tutor_utils()->profile_url( $authordata->ID, true );
$course_categories = get_tutor_course_categories( $course_id );
$course_duration   = get_tutor_course_duration_context( $course_id, true );
$course_date       = get_the_modified_date( get_option( 'date_format' ) );
$course_students   = apply_filters( 'tutor_course_students', tutor_utils()->count_enrolled_users_by_course( $course_id ), $course_id )
?>

<?php if ( tutor_utils()->get_option( 'enable_course_total_enrolled' ) || ! empty( $course_duration ) ) : ?>
<div class="d-flex justify-content-between align-items-center flex-wrap">
	<?php if ( tutor_utils()->get_option( 'enable_course_total_enrolled' ) ) : ?>
		<div>
			<span class="tutor-meta-icon tutor-icon-user-line" area-hidden="true"></span>
			<span class="tutor-meta-value"><?php echo esc_html( $course_students ); ?></span>
		</div>
	<?php endif; ?>

	<?php if ( ! empty( $course_date ) ) : ?>
		
        <div class="class-block_one-record">
            <?php esc_html_e( 'Record :', 'alquran' );?> 
            <span>
            	<?php echo wp_kses_post( $course_date );?>
            </span>
		</div>
	<?php endif; ?>
    
    <?php if ( ! empty( $course_duration ) ) : ?>
		<div class="class-block_one-date" area-hidden="true">
        	<?php
                //phpcs:ignore --escaping through helper method
                echo tutor_utils()->clean_html_content( $course_duration );
            ?>
        </div>
	<?php endif; ?>
    
</div>
<?php endif; ?>
